--
-- $Id$
--
-- Aanpassingen om DB38 (SaaS-prod) naar DB38a te brengen
-- Merk op dat de recreate er nog bij komt die de DB-version bijwerkt

DEFINE thisfile = 'DB38to38a.sql'
DEFINE dbuser   = '*'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- FCLT#61770 Foutieve index res_u_res_kenmerk
ALTER TABLE res_kenmerk DROP CONSTRAINT res_u_res_kenmerk DROP INDEX;
ALTER TABLE res_kenmerk ADD CONSTRAINT res_u_res_kenmerk UNIQUE(res_activiteit_key, res_discipline_key, res_artikel_key, res_srtkenmerk_key, res_kenmerk_omschrijving, res_kenmerk_groep, res_kenmerk_verwijder);

-- /////////////////////////////////////////////////////////////////////////////////////////// FCLT#59840
ALTER TABLE mld_opdr MODIFY mld_opdr_externnr VARCHAR2(1000);
ALTER TABLE mld_melding MODIFY mld_melding_externnr VARCHAR2(1000);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
